mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Michael Olbrich <m.olbrich@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: Alexander Dahl <ada@thorsis.com>
Subject: Re: [ptxdist] [APPLIED] mtd-utils: version bump 2.1.2 -> 2.1.3
Date: Thu,  7 Oct 2021 12:18:52 +0200	[thread overview]
Message-ID: <20211007101852.3926678-1-m.olbrich@pengutronix.de> (raw)
In-Reply-To: <20210909101652.9288-2-ada@thorsis.com>

Thanks, applied as 943b1effc28055c072e20aaab772ff80576f9443.

Michael

[sent from post-receive hook]

On Thu, 07 Oct 2021 12:18:52 +0200, Alexander Dahl <ada@thorsis.com> wrote:
> Mostly build fixes, some bugfixes, some new features, ubifs mount helper
> patch gone upstream.
> 
> Link: https://lists.infradead.org/pipermail/linux-mtd/2021-July/087588.html
> Signed-off-by: Alexander Dahl <ada@thorsis.com>
> Message-Id: <20210909101652.9288-2-ada@thorsis.com>
> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
> 
> diff --git a/patches/mtd-utils-2.1.2/0002-Add-an-ubifs-mount-helper.patch b/patches/mtd-utils-2.1.2/0002-Add-an-ubifs-mount-helper.patch
> deleted file mode 100644
> index f45b660ee2d1..000000000000
> --- a/patches/mtd-utils-2.1.2/0002-Add-an-ubifs-mount-helper.patch
> +++ /dev/null
> @@ -1,142 +0,0 @@
> -From: =?UTF-8?q?Uwe=20Kleine-K=C3=B6nig?= <u.kleine-koenig@pengutronix.de>
> -Date: Tue, 6 Oct 2020 11:19:13 +0200
> -Subject: [PATCH] Add an ubifs mount helper
> -MIME-Version: 1.0
> -Content-Type: text/plain; charset=UTF-8
> -Content-Transfer-Encoding: 8bit
> -
> -This abstracts away attaching of the right ubi and then selecting the right
> -ubi device and volume to mount.
> -
> -As described in the comment at the top this allows to mount ubifs volumes
> -directly from /etc/fstab without having to use hardcoded numbers (which
> -depend on mount order and so are unreliable) and extra magic to care for
> -attaching.
> -
> -Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
> -Signed-off-by: David Oberhollenzer <david.oberhollenzer@sigma-star.at>
> -Origin: upstream, commit:efeba0875ed181e7c1c7915742a3868799604d0c
> ----
> - ubifs-utils/Makemodule.am |   2 +
> - ubifs-utils/mount.ubifs   | 101 ++++++++++++++++++++++++++++++++++++++++++++++
> - 2 files changed, 103 insertions(+)
> - create mode 100755 ubifs-utils/mount.ubifs
> -
> -diff --git a/ubifs-utils/Makemodule.am b/ubifs-utils/Makemodule.am
> -index 59109ccd613c..5c5d99f7572b 100644
> ---- a/ubifs-utils/Makemodule.am
> -+++ b/ubifs-utils/Makemodule.am
> -@@ -47,4 +47,6 @@ UBIFS_EXTRA = \
> - 
> - EXTRA_DIST += $(UBIFS_HEADER) $(UBIFS_EXTRA)
> - 
> -+dist_sbin_SCRIPTS = ubifs-utils/mount.ubifs
> -+
> - sbin_PROGRAMS += $(UBIFS_BINS)
> -diff --git a/ubifs-utils/mount.ubifs b/ubifs-utils/mount.ubifs
> -new file mode 100755
> -index 000000000000..b94ddc5649f4
> ---- /dev/null
> -+++ b/ubifs-utils/mount.ubifs
> -@@ -0,0 +1,101 @@
> -+#!/bin/sh
> -+
> -+# This script should be installed as /sbin/mount.ubifs. The benefit is that an
> -+# fstab entry like:
> -+#
> -+# 	mtd=mtddev:home     /home        ubifs   defaults 0 0
> -+#
> -+# results in the ubi contained in the mtd named "mtddev" to be attached (if not
> -+# already done) and then the volume named "home" being mounted to /home.
> -+
> -+# This is called by mount with the following options:
> -+# /sbin/mount.ubifs spec dir [-sfnv] [-N namespace] [-o options] [-t type.subtype]
> -+
> -+spec="$1"
> -+shift
> -+
> -+mtdname2num() {
> -+	local name
> -+
> -+	name="$1"
> -+
> -+	for d in $(find /sys/class/mtd/ -regex '.*/mtd[0-9]*'); do
> -+		case "$d" in
> -+			*ro)
> -+				continue
> -+				;;
> -+		esac
> -+
> -+		if test "$name" = "$(cat "$d/name")"; then
> -+			local dev mtdnum
> -+
> -+			dev="$(basename "$d")"
> -+			mtdnum="${dev#mtd}"
> -+			echo "$mtdnum"
> -+			return
> -+		fi
> -+	done
> -+
> -+	return 1
> -+}
> -+
> -+mtdnum2ubi() {
> -+	local mtdnum
> -+
> -+	mtdnum="$1"
> -+
> -+	for d in $(find /sys/class/ubi/ -regex '.*/ubi[0-9]*'); do
> -+		case "$d" in
> -+			*_[0-9]*)
> -+				continue
> -+				;;
> -+		esac
> -+
> -+		if test "$mtdnum" = "$(cat "$d/mtd_num")"; then
> -+			local ubi
> -+
> -+			ubi="$(basename "$d")"
> -+			echo "$ubi"
> -+			return;
> -+		fi
> -+	done
> -+
> -+	return 1
> -+}
> -+
> -+mtdnum2ubi_autoattach() {
> -+	local mtdnum ubi
> -+
> -+	mtdnum="$1"
> -+
> -+	ubi="$(mtdnum2ubi "$mtdnum")" && { echo "$ubi"; return; }
> -+
> -+	# ubiattach might fail with "mtdX is already attached to ubiY" if there
> -+	# is more than one mount to do in the same mtd partition. So ignore errors.
> -+	ubiattach -m "$mtdnum" >&2 || true
> -+
> -+	mtdnum2ubi "$mtdnum"
> -+}
> -+
> -+case "$spec" in
> -+	mtd=*:*)
> -+		spec="${spec#mtd=}"
> -+		mtd="${spec%:*}"
> -+		rspec="${spec#*:}"
> -+
> -+		mtdnum="$(mtdname2num "$mtd")" || {
> -+			echo "Failed to find mtdnum for mtd \"$mtd\""
> -+			exit 1
> -+		}
> -+
> -+		ubi="$(mtdnum2ubi_autoattach "$mtdnum")" || {
> -+			echo "Failed to find ubi for mtd \"$mtd\""
> -+			exit 1
> -+		}
> -+
> -+		spec="$ubi:$rspec"
> -+
> -+		;;
> -+esac
> -+
> -+/bin/mount -i -t ubifs "$spec" "$@"
> diff --git a/patches/mtd-utils-2.1.2/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch b/patches/mtd-utils-2.1.3/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> similarity index 89%
> rename from patches/mtd-utils-2.1.2/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> rename to patches/mtd-utils-2.1.3/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> index 1cea5f238e20..e6ff202a7b98 100644
> --- a/patches/mtd-utils-2.1.2/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> +++ b/patches/mtd-utils-2.1.3/0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> @@ -9,7 +9,7 @@ Subject: [PATCH] nandmarkbad: new util to mark blocks as bad
>   create mode 100644 nand-utils/nandmarkbad.c
>  
>  diff --git a/nand-utils/Makemodule.am b/nand-utils/Makemodule.am
> -index d75b0cb3e36c..c31dcb01f06e 100644
> +index cee677783e7a..7fd1de5aa9ae 100644
>  --- a/nand-utils/Makemodule.am
>  +++ b/nand-utils/Makemodule.am
>  @@ -7,6 +7,9 @@ nandwrite_LDADD = libmtd.a
> @@ -19,18 +19,18 @@ index d75b0cb3e36c..c31dcb01f06e 100644
>  +nandmarkbad_SOURCES = nand-utils/nandmarkbad.c
>  +nandmarkbad_LDADD = libmtd.a
>  +
> - nftldump_SOURCES = nand-utils/nftldump.c
> + nftldump_SOURCES = nand-utils/nftldump.c include/mtd_swab.h
> + nftldump_SOURCES += include/mtd/nftl-user.h include/mtd/ftl-user.h
>   nftldump_LDADD = libmtd.a
> +@@ -23,7 +26,7 @@ NAND_SH = \
>   
> -@@ -14,7 +17,7 @@ nftl_format_SOURCES = nand-utils/nftl_format.c
> - nftl_format_LDADD = libmtd.a
> + EXTRA_DIST += $(NAND_SH)
>   
> - NAND_BINS = \
> --	nanddump nandwrite nandtest nftldump nftl_format
> -+	nanddump nandwrite nandtest nandmarkbad nftldump nftl_format
> +-sbin_PROGRAMS += nanddump nandwrite nandtest nftldump nftl_format nandflipbits
> ++sbin_PROGRAMS += nanddump nandwrite nandtest nandmarkbad nftldump nftl_format nandflipbits
>   
> - NAND_SH = \
> - 	nand-utils/load_nandsim.sh
> + if BUILD_TESTS
> + test_SCRIPTS += $(NAND_SH)
>  diff --git a/nand-utils/nandmarkbad.c b/nand-utils/nandmarkbad.c
>  new file mode 100644
>  index 000000000000..cf05698c3609
> diff --git a/patches/mtd-utils-2.1.2/autogen.sh b/patches/mtd-utils-2.1.3/autogen.sh
> similarity index 100%
> rename from patches/mtd-utils-2.1.2/autogen.sh
> rename to patches/mtd-utils-2.1.3/autogen.sh
> diff --git a/patches/mtd-utils-2.1.2/series b/patches/mtd-utils-2.1.3/series
> similarity index 53%
> rename from patches/mtd-utils-2.1.2/series
> rename to patches/mtd-utils-2.1.3/series
> index 7a5eec8b0eeb..92dc1b94f4ca 100644
> --- a/patches/mtd-utils-2.1.2/series
> +++ b/patches/mtd-utils-2.1.3/series
> @@ -1,5 +1,4 @@
>  # generated by git-ptx-patches
>  #tag:base --start-number 1
>  0001-nandmarkbad-new-util-to-mark-blocks-as-bad.patch
> -0002-Add-an-ubifs-mount-helper.patch
> -# 096af547b18d202f08576089a0cee058  - git-ptx-patches magic
> +# 407ded52b82ffa3ff91d50cf6b2388e0  - git-ptx-patches magic
> diff --git a/rules/host-mtd-utils.make b/rules/host-mtd-utils.make
> index f49a08261781..0352339f0215 100644
> --- a/rules/host-mtd-utils.make
> +++ b/rules/host-mtd-utils.make
> @@ -23,8 +23,9 @@ HOST_MTD_UTILS_CONF_TOOL	:= autoconf
>  HOST_MTD_UTILS_CONF_OPT		:= \
>  	$(HOST_AUTOCONF) \
>  	--disable-unit-tests \
> +	--enable-largefile \
>  	--disable-tests \
> -	--disable-install-tests \
> +	--disable-ubihealthd \
>  	--disable-lsmtd \
>  	--without-jffs \
>  	--with-ubifs \
> diff --git a/rules/mtd-utils.make b/rules/mtd-utils.make
> index e1a953c28dfb..15288acd7ad1 100644
> --- a/rules/mtd-utils.make
> +++ b/rules/mtd-utils.make
> @@ -15,8 +15,8 @@ PACKAGES-$(PTXCONF_MTD_UTILS) += mtd-utils
>  #
>  # Paths and names
>  #
> -MTD_UTILS_VERSION	:= 2.1.2
> -MTD_UTILS_MD5		:= 19191bc0195a779c0bd1284c886084ab
> +MTD_UTILS_VERSION	:= 2.1.3
> +MTD_UTILS_MD5		:= 32f3e1dcb21adb1185e994f7b2bf14d8
>  MTD_UTILS		:= mtd-utils-$(MTD_UTILS_VERSION)
>  MTD_UTILS_SUFFIX	:= tar.bz2
>  MTD_UTILS_URL		:= https://infraroot.at/pub/mtd/$(MTD_UTILS).$(MTD_UTILS_SUFFIX)
> @@ -34,8 +34,9 @@ MTD_UTILS_CONF_TOOL	:= autoconf
>  MTD_UTILS_CONF_OPT	:= \
>  	$(CROSS_AUTOCONF_USR) \
>  	--disable-unit-tests \
> +	$(GLOBAL_LARGE_FILE_OPTION) \
>  	--disable-tests \
> -	--disable-install-tests \
> +	--$(call ptx/endis,PTXCONF_MTD_UTILS_UBIHEALTHD)-ubihealthd \
>  	--$(call ptx/endis, PTXCONF_MTD_UTILS_LSMTD)-lsmtd \
>  	--$(call ptx/wwo, PTXCONF_MTD_UTILS_JFFS)-jffs \
>  	--$(call ptx/wwo, PTXCONF_MTD_UTILS_UBIFS)-ubifs \

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de

  reply	other threads:[~2021-10-07 10:22 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-09 10:16 [ptxdist] [PATCH 0/2] mtd-utils: Version bump and ubihealthd systemd unit Alexander Dahl
2021-09-09 10:16 ` [ptxdist] [PATCH 1/2] mtd-utils: version bump 2.1.2 -> 2.1.3 Alexander Dahl
2021-10-07 10:18   ` Michael Olbrich [this message]
2021-09-09 10:16 ` [ptxdist] [PATCH 2/2] mtd-utils: Introduce systemd unit for ubihealthd Alexander Dahl
2021-10-07 10:18   ` [ptxdist] [APPLIED] " Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20211007101852.3926678-1-m.olbrich@pengutronix.de \
    --to=m.olbrich@pengutronix.de \
    --cc=ada@thorsis.com \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox